<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

class WssFieldKursKennzeichen extends WssField
{
  
  public function getFieldNichtBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $dbwKennzAd = new \DBWorkKennzAd(1, true);

    $kennzeichen = $dbwKennzAd->getKennzForTypUndNr('K', $datamodulWert->getVarValueEx('id', 'kurs'));
    if (\DBWorkBASysSettings::isBadMergentheimFabi()) {
      $kennzeichen = \ConstantOperations::filterBadMergenhteimBerufsgruppenKennz($kennzeichen);
    }
    $aryKennzAd = \ArrayOperations::mapAttribut($kennzeichen, 'kennz');

    if (empty($aryKennzAd)) {
      return $this->getAlternativtext();
    }

    $dbwKennz = new \DBWorkKennz();
    $aryKennzText = \array_map(function($kennz) use ($dbwKennz) {
      return $this->htmlEncode($dbwKennz->getKennzNamebyKnr($kennz));
    }, $aryKennzAd);

    return '<ul class="wss_list"><li>' . \implode('</li><li>', $aryKennzText) . '</li></ul>';
    
  }

  
  public function getValue($datamodulWert, $isFormular = false)
  {
    return $this->getFieldNichtBearbeitbar($datamodulWert, $isFormular);
  }

  public function encodeValue($value)
  {
    return $value;
  }
}